# Generated by Django 2.2 on 2019-06-07 13:39

import django.contrib.postgres.fields
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('frontend', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Reading',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=30)),
                ('database', models.CharField(max_length=30)),
                ('username', models.CharField(blank=True, max_length=30)),
                ('password', models.CharField(blank=True, max_length=30)),
                ('sql', models.CharField(blank=True, max_length=500)),
            ],
        ),
        migrations.CreateModel(
            name='ReadingResponse',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('data', models.CharField(max_length=10000)),
                ('variables', django.contrib.postgres.fields.ArrayField(base_field=models.CharField(blank=True, max_length=30), size=20)),
                ('reading', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='readings.Reading')),
            ],
        ),
        migrations.CreateModel(
            name='SectionReading',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=30)),
                ('project', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='frontend.Project')),
            ],
        ),
        migrations.CreateModel(
            name='ReadingValidation',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('validationType', models.CharField(choices=[('comparison', 'Comparison'), ('sequential', 'Sequential')], default='comparison', max_length=15)),
                ('variable', models.CharField(max_length=30)),
                ('description', models.CharField(max_length=300)),
                ('code', models.CharField(max_length=300)),
                ('trueColor', models.CharField(default='#28a745', max_length=10)),
                ('trueComment', models.CharField(blank=True, max_length=200)),
                ('falseColor', models.CharField(default='#dc3545', max_length=10)),
                ('falseComment', models.CharField(blank=True, max_length=200)),
                ('response', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='readings.ReadingResponse')),
            ],
        ),
        migrations.AddField(
            model_name='reading',
            name='section',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='readings.SectionReading'),
        ),
    ]
